0

I am trying to update my install of WSS 3.0 (installed on Server 2008 R2 x64) to the newest version I can find, I am currently on 12.0.6425.1000. I went and downloaded SP3, however when I run try to install it says:enter image description here, however it does not specify what version I need to be on to update directly to SP3.

I have been looking at this page that lists all the available updates, but when I try the oldest, and most recent hotfixes for SP2 it says package installation failed.

Interestingly enough my first though was go from WSS to Sharepoint Foundation, However that is also problematic as the pre-migration checklist fails with(full text here):

Microsoft.SharePoint.Administration.Health.InvalidDatabaseSchema
[InvalidDatabaseSchema] [DEBUG] [4/30/2013 9:15:50 AM]: Checking schemas in content database WSS_Content...
[SPUtility] [DEBUG] [4/30/2013 9:15:52 AM]: File C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\12\Template\sql\store.sql, Time out = 600 sec
[DatabaseSchema] [ERROR] [4/30/2013 9:16:11 AM]: [WSS_Content].[SearchAllTables] EXTRA String
[DatabaseSchema] [ERROR] [4/30/2013 9:16:11 AM]: [WSS_Content] NON EQUAL Property SProcs
[InvalidDatabaseSchema] [DEBUG] [4/30/2013 9:16:11 AM]: Checking schemas in content database SharePoint_AdminContent_dc35930d-0163-48fc-8c32-89028dea0293...
[SPObjectProcessor] [DEBUG] [4/30/2013 9:16:17 AM]: Finished invoking the Check() method of rule, Microsoft.SharePoint.Administration.Health.InvalidDatabaseSchema. Status = Failed
[SPObjectProcessor] [DEBUG] [4/30/2013 9:16:17 AM]: The rule failed.

So my question is how do I get update from where I am to something newer?

EDIT: I am making some progress on the service pack front but it is very tedious. I download the next oldest hotfix install and then run the Sharepoint products and technologies config wizard. Is that necessary after each hotfix, or can I just install all of them then run the wizard?

  • are you using the 32 bit or 64 bit? what is your wss 3.0 installation 32 bit or 64bit? what is the compelte error – Waqas Sarwar MVP Jun 27 '14 at 14:14
  • @WaqasSarwarMCSE I have updated with screen shots for the SP3 error, a link to the full error text of the pre migration checklist and the server info. Server 2008 R2 x64, so I believe that means the WSS install is x64 as well? – sec_goat Jun 27 '14 at 14:20
  • try to run the 32bit SP3 as well, if possible reboot the server and then try again – Waqas Sarwar MVP Jun 27 '14 at 15:21
  • also make sure you are donwloading the foundation binaries not the server – Waqas Sarwar MVP Jun 27 '14 at 15:22
  • @WaqasSarwarMCSE Yes sir, it appears my problem was I had downloaded the wrong architecture of the service pack. Tried the other one and it worked. Don't I feel silly? – sec_goat Jun 27 '14 at 15:53
1

Couple of things to check and make sure they are correct.

  • What is WSS 3.0 version 32 bit or 64 Bit.
  • Make sure downloading and installing the correct package
  • Package should be WSS 3.0 either 64 bit or 32 bit(depending)

Some time we make mistake and download the wrong package.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.